Bug 155871 - multimedia/libxine patches: vdpau stability, vaapi support
multimedia/libxine patches: vdpau stability, vaapi support
Status: Closed FIXED
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s)
Any Any
: Normal Affects Only Me
Assigned To: Max Brazhnikov
Depends on:
  Show dependency treegraph
Reported: 2011-03-22 19:10 UTC by nox
Modified: 2011-03-29 18:15 UTC (History)
0 users

See Also:

file.diff (35.07 KB, patch)
2011-03-22 19:10 UTC, nox
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description nox 2011-03-22 19:10:00 UTC
	Now that ports/153727 has been committed (adding vaapi knobs
	to the ffmpeg ports) my libxine port update described here:


	can now be committed too, in short the patch below adds
	two patchfiles, one to improve vdpau stability,


	and one to add vaapi/libva support,


	(the VAAPI knob I now set to default to off because it's
	off in the ffmpeg ports too and otherwise can cause crashes
	if used with an ffmpeg built without vaapi support.)

How-To-Repeat: 	Try to use vdpau with nvidia driver 260.19.29, watch streams
	not start often.
Comment 1 Edwin Groothuis freebsd_committer 2011-03-22 19:10:16 UTC
Responsible Changed
From-To: freebsd-ports-bugs->makc

Over to maintainer (via the GNATS Auto Assign Tool)
Comment 2 dfilter freebsd_committer 2011-03-25 20:30:46 UTC
nox         2011-03-25 20:30:32 UTC

  FreeBSD ports repository

  Modified files:
    multimedia/libxine   Makefile 
  Added files:
  - Add patch to improve vdpau stability (backported from [1].)
  - Add (optional) patch for VAAPI/libva support ([2], with a crude
    check added by me to improve fallback when hardware/driver support
    is missing.)
  - Take maintainership. [3]
  PR:             ports/155871
  Submitted by:   nox (self)
  Obtained from:  http://hg.debian.org/hg/xine-lib/xine-lib-1.2/rev/c655ca7b6bce [1],
                  http://test.oppserver.net/xine/ffmpeg-vaapi_xine-lib-1.1.19.diff [2]
  Approved by:    makc (previous maintainer, via private email) [3]
  Revision  Changes    Path
  1.166     +10 -2     ports/multimedia/libxine/Makefile
  1.1       +91 -0     ports/multimedia/libxine/files/extrapatch-vdpau-src-video_out-video_out_vdpau.c (new)
  1.1       +871 -0    ports/multimedia/libxine/files/ffmpeg-vaapi_xine-lib-1.1.19-initerrorhack.diff (new)
cvs-all@freebsd.org mailing list
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 3 Juergen Lock freebsd_committer 2011-03-29 18:15:48 UTC
State Changed
From-To: open->closed

Committed. Thanks!